package com.tcctlo.law.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctlo.common.core.domain.AjaxResult;
import com.tcctlo.law.entity.CollectionRecord;
import com.tcctlo.law.service.ICollectionRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 收款记录表 前端控制器
 * </p>
 *
 * @author 张世琪
 * @since 2025-02-06
 */

@RestController
@RequestMapping("/collectionRecord")
public class CollectionRecordController {


    @Autowired
    private ICollectionRecordService iCollectionRecordService;

    @GetMapping(value = "/list")
    public AjaxResult list(@RequestParam(required = false) Integer current, @RequestParam(required = false) Integer size) {
        if (current == null) {
            current = 1;
        }
        if (size == null) {
            size = 10;
        }
        Page<CollectionRecord> pageList = iCollectionRecordService.list(current,size);
        return AjaxResult.success(pageList);
    }


    @GetMapping(value = "/{id}")
    public AjaxResult getById(@PathVariable("id") Long id) {
        CollectionRecord collectionRecord = iCollectionRecordService.getById(id);
        return AjaxResult.success(collectionRecord);
    }

    @PostMapping(value = "/create")
    public AjaxResult create(@RequestBody CollectionRecord params) {
        Integer result = iCollectionRecordService.create(params);
        return AjaxResult.success(result);
    }

    @PostMapping(value = "/delete/{id}")
    public AjaxResult delete(@PathVariable("id") Long id) {
        Integer result =  iCollectionRecordService.delete(id);
        return AjaxResult.success(result);
    }

    @PostMapping(value = "/update")
    public AjaxResult update(@RequestBody CollectionRecord params) {
        Integer result = iCollectionRecordService.update(params);
        return AjaxResult.success(result);
    }
}
