package com.tcctlo.law.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctlo.common.core.domain.AjaxResult;
import com.tcctlo.law.entity.FileManager;
import com.tcctlo.law.service.IFileManagerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 文件管理 前端控制器
 * </p>
 *
 * @author 张世琪
 * @since 2025-02-06
 */

@RestController
@RequestMapping("/fileManager")
public class FileManagerController {


    @Autowired
    private IFileManagerService iFileManagerService;

    @GetMapping(value = "/list")
    public AjaxResult list(@RequestParam(required = false) Integer current, @RequestParam(required = false) Integer size) {
        if (current == null) {
            current = 1;
        }
        if (size == null) {
            size = 10;
        }
        Page<FileManager> pageList = iFileManagerService.list(current,size);
        return AjaxResult.success(pageList);
    }


    @GetMapping(value = "/{id}")
    public AjaxResult getById(@PathVariable("id") Long id) {
        FileManager fileManager = iFileManagerService.getById(id);
        return AjaxResult.success(fileManager);
    }

    @PostMapping(value = "/create")
    public AjaxResult create(@RequestBody FileManager params) {
        Integer result = iFileManagerService.create(params);
        return AjaxResult.success(result);
    }

    @PostMapping(value = "/delete/{id}")
    public AjaxResult delete(@PathVariable("id") Long id) {
        Integer result =  iFileManagerService.delete(id);
        return AjaxResult.success(result);
    }

    @PostMapping(value = "/update")
    public AjaxResult update(@RequestBody FileManager params) {
        Integer result = iFileManagerService.update(params);
        return AjaxResult.success(result);
    }
}
