package com.tcctlo.law.entity;
import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 案件律师表
 * </p>
 *
 * @author 张世琪
 * @since 2025-02-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("case_lawyer")
public class CaseLawyer implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 关联案件表中的id
     */
    private Long caseId;

    /**
     * 律师id【关联系统用户中律师id】
     */
    private Long lawyerId;

    /**
     * 律师名称
     */
    private String lawyerName;

    /**
     * 律师类型【0：代理律师，1：协办律师】
     */
    private Integer lawyerType;

    /**
     * 是否是原承办律师【0：现任律师，1：原承办律师】
     */
    private Integer isPrime;

    /**
     * 状态【0：正常，1：停用】
     */
    private Integer status;

    /**
     * 删除标志【0：未删除，1：已删除】
     */
    @TableLogic
    private Integer delFlag;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    /**
     * 备注
     */
    private String remake;

}
