package com.tcctlo.law.entity;
import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 文件管理
 * </p>
 *
 * @author 张世琪
 * @since 2025-02-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("file_manager")
public class FileManager implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 关联案件ID
     */
    private Long caseId;

    /**
     * 生成的新文件名
     */
    private String newFileName;

    /**
     * 原文件名称
     */
    private String oldFileName;

    /**
     * 文件存储路径【OSS】
     */
    private String fileUrl;

    /**
     * 文件类型【0：归档文件，1：收款记录文件】
     */
    private Integer fileType;

    /**
     * 状态【0：正常，1：：停用】
     */
    private Integer status;

    /**
     * 删除标志【0：未删除，1：已删除】
     */
    @TableLogic
    private Integer delFlag;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新者
     */
    private Date updateBy;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    /**
     * 备注
     */
    private String remake;

}
