package com.tcctlo.law.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctlo.law.entity.CaseInformation;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tcctlo.law.vo.CaseInformationListVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 案件信息表 Mapper 接口
 * </p>
 *
 * @author 张世琪
 * @since 2025-02-06
 */
public interface CaseInformationMapper extends BaseMapper<CaseInformation> {

    /**
     * 分页条件查询
     * @param page 分页对象
     * @param condition 条件参数
     * @return 结果集
     */
    Page<CaseInformationListVO> selectCondition(@Param("page") Page<CaseInformationListVO> page, @Param("condition") Map<String, Object> condition);


    /**
     * 案件归档
     * @param caseId 要归档的案件ID
     * @return 受影响记录数
     */
    int caseArchived(@Param("caseId") Long caseId);

    /**
     * 批量逻辑删除案件信息
     * @param longList 案件ID集合
     */
    int removeByIds(@Param("ids") List<Long> longList);
}
