package com.tcctlo.law.service;

import com.tcctlo.law.entity.ImpulseInformation;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 利冲信息表 服务类
 * </p>
 *
 * @author 张世琪
 * @since 2025-02-06
 */
public interface IImpulseInformationService extends IService<ImpulseInformation> {
        
    /**
    * <p>
    * 分页列表查询
    * </p>
    * @param pageNo
    * @param pageSize
    * @return
    */
    Page<ImpulseInformation> list(Integer pageNo, Integer pageSize);
        
    /**
    * <p>
    * 详情接口
    * </p>
    * @param id
    * @return
    */
    ImpulseInformation getById(Long id);

    /**
    * <p>
    * 新增接口
    * </p>
    * @param impulseInformation
    * @return
    */
    Integer create(ImpulseInformation impulseInformation);
        
        
    /**
    * <p>
    * 删除接口
    * </p>
    * @param id
    * @return
    */
    Integer delete(Long id);

    /**
    * <p>
    * 更新接口
    * </p>
    * @param impulseInformation
    * @return
    */
    Integer update(ImpulseInformation impulseInformation);

    /**
     * 模糊查询【用于搜索条件查询】
     * @return 结果集
     */
    List<ImpulseInformation> selectLikeByParam(String caseName, Integer isClient);

    /**
     * 利冲检索
     * @param impulseInformation 利冲信息
     * @return 是否利冲
     */
    Boolean retrievalConflict(ImpulseInformation impulseInformation);
}
