package com.tcctlo.law.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tcctlo.law.entity.CaseLawyer;
import com.tcctlo.law.mapper.CaseLawyerMapper;
import com.tcctlo.law.service.ICaseLawyerService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;
import java.util.Map;

/**
* <p>
* 案件律师表 服务实现类
* </p>
*
* @author 张世琪
* @since 2025-02-06
*/
@Service
public class CaseLawyerServiceImpl extends ServiceImpl<CaseLawyerMapper,CaseLawyer> implements ICaseLawyerService {


    @Resource
    private CaseLawyerMapper caseLawyerMapper;

    @Override
    public Page<CaseLawyer> list(Integer pageNo, Integer pageSize) {
        return caseLawyerMapper.selectPage(new Page<>(pageNo, pageSize), new QueryWrapper<>());
    }

    @Override
    public CaseLawyer getById(Long id) {
        CaseLawyer caseLawyer = caseLawyerMapper.selectById(id);
        return caseLawyer;
    }

    @Override
    public Integer create(CaseLawyer caseLawyer) {
        return caseLawyerMapper.insert(caseLawyer);
    }

    @Override
    public Integer delete(Long id) {
        return caseLawyerMapper.deleteById(id);
    }

    @Override
    public Integer update(CaseLawyer caseLawyer) {
        return caseLawyerMapper.updateById(caseLawyer);
    }

    @Override
    public List<CaseLawyer> selectByCondition(Map params) {
        return caseLawyerMapper.selectByMap(params);
    }

}
