package com.tcctlo.law.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tcctlo.law.entity.CollectionRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctlo.law.mapper.CollectionRecordMapper;
import com.tcctlo.law.service.ICollectionRecordService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
* <p>
* 收款记录表 服务实现类
* </p>
*
* @author 张世琪
* @since 2025-02-06
*/
@Service
public class CollectionRecordServiceImpl extends ServiceImpl<CollectionRecordMapper,CollectionRecord> implements ICollectionRecordService {


    @Resource
    private CollectionRecordMapper collectionRecordMapper;

    @Override
    public Page<CollectionRecord> list(Integer pageNo, Integer pageSize) {
        return collectionRecordMapper.selectPage(new Page<>(pageNo, pageSize), new QueryWrapper<>());
    }

    @Override
    public CollectionRecord getById(Long id) {
        CollectionRecord collectionRecord = collectionRecordMapper.selectById(id);
        return collectionRecord;
    }

    @Override
    public Integer create(CollectionRecord collectionRecord) {
        return collectionRecordMapper.insert(collectionRecord);
    }

    @Override
    public Integer delete(Long id) {
        return collectionRecordMapper.deleteById(id);
    }

    @Override
    public Integer update(CollectionRecord collectionRecord) {
        return collectionRecordMapper.updateById(collectionRecord);
    }

}
