package com.tcctlo.law.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tcctlo.law.entity.FileManager;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctlo.law.mapper.FileManagerMapper;
import com.tcctlo.law.service.IFileManagerService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
* <p>
* 文件管理 服务实现类
* </p>
*
* @author 张世琪
* @since 2025-02-06
*/
@Service
public class FileManagerServiceImpl extends ServiceImpl<FileManagerMapper,FileManager> implements IFileManagerService {


    @Resource
    private FileManagerMapper fileManagerMapper;

    @Override
    public Page<FileManager> list(Integer pageNo, Integer pageSize) {
        return fileManagerMapper.selectPage(new Page<>(pageNo, pageSize), new QueryWrapper<>());
    }

    @Override
    public FileManager getById(Long id) {
        FileManager fileManager = fileManagerMapper.selectById(id);
        return fileManager;
    }

    @Override
    public Integer create(FileManager fileManager) {
        return fileManagerMapper.insert(fileManager);
    }

    @Override
    public Integer delete(Long id) {
        return fileManagerMapper.deleteById(id);
    }

    @Override
    public Integer update(FileManager fileManager) {
        return fileManagerMapper.updateById(fileManager);
    }

}
