package com.tcctlo.law.vo;

import com.tcctlo.law.entity.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 用户案件录入时的VO
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CaseInformationEnterVO {

    /**
     * 案件信息
     */
    private CaseInformation caseInformation;

    /**
     * 利冲信息-委托方信息
     */
    private List<ImpulseInformation> entrustingParty;

    /**
     * 利冲信息-相对方
     */
    private List<ImpulseInformation> opposite;

    /**
     * 代理律师
     */
    private CaseLawyer attorneyAgent;

    /**
     * 协办律师
     */
    private List<CaseLawyer> assistingLawyer;

    /**
     * 案件收款记录信息
     */
    private List<CollectionRecordEnterVO> collectionRecordList;
}
